## org.apache.hadoop.io
Class MultipleIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.io.MultipleIOException

All Implemented Interfaces:
  Serializable

    public class MultipleIOException

extends IOException

Encapsulate a list of `IOException` into an `IOException`

See Also:
  Serialized Form

Method Summary
`static IOException` `createIOException(List<IOException> exceptions)` A convenient method to create an `IOException`.
`List<IOException>` `getExceptions()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getExceptions

    public List<IOException> getExceptions()

  Returns:
    the underlying exceptions

### createIOException

    public static IOException createIOException(List<IOException> exceptions)

  A convenient method to create an `IOException`.

Copyright © 2009 The Apache Software Foundation